Bug 813267 - cann't show vnc server status in monitor via "info vnc" when connect to a listening vnc with "reverse"
cann't show vnc server status in monitor via "info vnc" when connect to a lis...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Luiz Capitulino
Virtualization Bugs
:
Depends On:
Blocks: 1461682
  Show dependency treegraph
 
Reported: 2012-04-17 07:16 EDT by Sibiao Luo
Modified: 2017-06-15 03:36 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1461682 (view as bug list)
Environment:
Last Closed: 2012-04-26 20:18:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sibiao Luo 2012-04-17 07:16:02 EDT
Description of problem:
connect to a listening VNC client via a "reverse" connection, the client is specified by the display, but "info vnc" cann't get the vnc server status in the monitor.

Version-Release number of selected component (if applicable):
# uname -r && rpm -q qemu-kvm
2.6.32-262.el6.x86_64
qemu-kvm-0.12.1.2-2.275.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.launch a listening vnc on host A by:
# vncviewer -listen 7000
2.launch qemu-kvm process and try to connect to the listening vnc on host B by:
...-vnc ${ip_of_host_A's}:7000,"reverse"
3.run "info vnc" in the monitor.
(qemu) info vnc

Actual results:
after the step 3, "info vnc" cann't get the vnc server status.

Expected results:
"info vnc" can get the vnc server status in the monitor.

Additional info:
Comment 2 Ademar Reis 2012-04-17 15:34:34 EDT
corner case, not critical, deferring to rhel6.4
Comment 3 Luiz Capitulino 2012-04-26 14:10:19 EDT
This is more like a missing feature than a bug. Also, HMP is not supported in RHEL, so the only reason to implement this as a RHEL feature would be a real need from one of our stack's components (vs. "this is nice to the end user").

I'd close this as WONTFIX, but I'll let Ademar decide.

PS: You're welcome to report this upstream.
Comment 4 Ademar Reis 2012-04-26 20:18:48 EDT
Closing as wontfix. It will get to RHEL7 automatically if fixed upstream on time, but we won't focus on it for now.

Note You need to log in before you can comment on or make changes to this bug.